preamble:
   input_reference_genome: hg38/genomes/GRCh38-hg38
   summary: Clinical Annotation Pipeline 
   description: This is a pipeline to annotate with Clinical resources  


annotators:
- effect_annotator:
    gene_models: hg38/gene_models/MANE/1.3 
    genome: hg38/genomes/GRCh38.p13
    attributes:
    - name: worst_effect_MANE_1.3
      source: worst_effect 
    - name: effect_details_MANE_1.3
      source: effect_details 
    - name: gene_effects_MANE_1.3
      source: gene_effects 

- np_score: hg38/scores/CADD_v1.4

- liftover_annotator:
    chain: liftover/hg38ToHg19
    source_genome: hg38/genomes/GRCh38-hg38
    target_genome: hg19/genomes/GATK_ResourceBundle_5777_b37_phiX174
    attributes:
    - source: liftover_annotatable
      name: hg19_annotatable
      internal: true

- np_score:
    resource_id: hg19/scores/AlphaMissense
    input_annotatable: hg19_annotatable

- normalize_allele_annotator:
    genome: hg38/genomes/GRCh38-hg38

- allele_score:
    resource_id: hg38/variant_frequencies/gnomAD_4.1.0/genomes/ALL
    input_annotatable: normalized_allele
preamble:
   input_reference_genome: hg38/genomes/GRCh38-hg38
   summary: Clinical Annotation Pipeline 
   description: This is a pipeline to annotate with Clinical resources  


annotators:
- effect_annotator:
    gene_models: hg38/gene_models/MANE/1.3 
    genome: hg38/genomes/GRCh38.p13
    attributes:
    - name: worst_effect_MANE_1.3
      source: worst_effect 
    - name: effect_details_MANE_1.3
      source: effect_details 
    - name: gene_effects_MANE_1.3
      source: gene_effects 

- np_score: hg38/scores/CADD_v1.4

- liftover_annotator:
    chain: liftover/hg38ToHg19
    source_genome: hg38/genomes/GRCh38-hg38
    target_genome: hg19/genomes/GATK_ResourceBundle_5777_b37_phiX174
    attributes:
    - source: liftover_annotatable
      name: hg19_annotatable
      internal: true

- np_score:
    resource_id: hg19/scores/AlphaMissense
    input_annotatable: hg19_annotatable

- normalize_allele_annotator:
    genome: hg38/genomes/GRCh38-hg38

- allele_score:
    resource_id: hg38/variant_frequencies/gnomAD_4.1.0/genomes/ALL
    input_annotatable: normalized_allele
preamble:
   input_reference_genome: hg38/genomes/GRCh38-hg38
   summary: Clinical Annotation Pipeline 
   description: This is a pipeline to annotate with Clinical resources  


annotators:
- effect_annotator:
    gene_models: hg38/gene_models/MANE/1.3 
    genome: hg38/genomes/GRCh38.p13
    attributes:
    - name: worst_effect_MANE_1.3
      source: worst_effect 
    - name: effect_details_MANE_1.3
      source: effect_details 
    - name: gene_effects_MANE_1.3
      source: gene_effects 

- np_score: hg38/scores/CADD_v1.4

- liftover_annotator:
    chain: liftover/hg38ToHg19
    source_genome: hg38/genomes/GRCh38-hg38
    target_genome: hg19/genomes/GATK_ResourceBundle_5777_b37_phiX174
    attributes:
    - source: liftover_annotatable
      name: hg19_annotatable
      internal: true

- np_score:
    resource_id: hg19/scores/AlphaMissense
    input_annotatable: hg19_annotatable

- normalize_allele_annotator:
    genome: hg38/genomes/GRCh38-hg38

- allele_score:
    resource_id: hg38/variant_frequencies/gnomAD_4.1.0/genomes/ALL
    input_annotatable: normalized_allele

